--[[TP - Threat Plates Theme]]--

--[[Insert Local for Shared Media]]--

local Media = LibStub("LibSharedMedia-3.0")

--[[Set locals]]--

local config = {}
local path = "Interface\\Addons\\TidyPlates_ThreatPlates\\Artwork\\"
local fonts = "Interface\\Addons\\TidyPlates_ThreatPlates\\fonts\\"

--[[TP - Tidy Plates Theme]]--
--[[Textures]]--

config.frame = {
	width = 124,
	height = 30,
}
config.threatborder = {
	texture =						path.."TP_Threat",
	elitetexture =					path.."TP_Threat",
	width = 256,
	height = 64,
	x = 0,
	y = 5,
	anchor = "CENTER",
}
config.healthborder = {
	texture = 						path.."TP_HealthBarOverlay",
	glowtexture = 					path.."TP_HealthBarHighlight",
	elitetexture = 					path.."TP_HealthBarEliteOverlay",
	width = 256,
	height = 64,
	x = 0,
	y = 5,
	anchor = "CENTER",
}
config.castborder = {
	texture = 						path.."TP_CastBarOverlay",
	width = 256,
	height = 64,
	x = 0,
	y = -10,
	anchor = "CENTER",
}

config.castnostop = {
	texture =						path.."TP_CastBarLock",
	width = 256,
	height = 64,
	x = 0,
	y = -10,
	anchor = "CENTER",
}
--[[Bar Textures]]--
config.healthbar = {
	texture =						path.."TP_BarTexture",
	width = 120,
	height = 10,
	x = 0,
	y = 5,
	anchor = "CENTER",
	orientation = "HORIZONTAL",
}
config.castbar = {
	texture =						path.."TP_BarTexture",
	width = 120,
	height = 10,
	x = 0,
	y = -10,
	anchor = "CENTER",
	orientation = "HORIZONTAL",
}
--[[TEXT]]--

config.name = {
	typeface =						fonts.."Accidental Presidency.ttf",
	size = 12,
	width = 105,
	height = 14,
	x = 0,
	y = 18,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
}
config.level = {
	typeface =						fonts.."Accidental Presidency.ttf",
	size = 12,
	width = 20,
	height = 14,
	x = 50,
	y = 5,
	align = "RIGHT",
	anchor = "CENTER",
	vertical = "TOP",
	shadow = true,
}
config.specialText = {
	typeface =						fonts.."Accidental Presidency.ttf",
	size = 12,
	width = 110,
	height = 14,
	x = 0,
	y = 6,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
}
config.specialText2 = {
	typeface =						fonts.."Accidental Presidency.ttf",
	size = 12,
	width = 110,
	height = 14,
	x = 0,
	y = -8,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
}
config.specialText3 = {
	typeface =						fonts.."Accidental Presidency.ttf",
	size = 12,
	width = 90,
	height = 14,
	x = 0,
	y = -8,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
}
--[[ICONS]]--
config.dangerskull = {
	width = 14,
	height = 14,
	x = 58,
	y = 17,
	anchor = "CENTER",
}
config.specialArt = {
	width = 256,
	height = 64,
	x = 0,
	y = 5,
	anchor = "CENTER",
}
config.spellicon = {
	width = 20,
	height = 20,
	x = 75,
	y = -2,
	anchor = "CENTER",
}
config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 17,
	anchor = "TOP",
}
--[[OPTIONS]]--
config.threatcolor = {
	LOW = { r = 0, g = 1, b = 0, a = 1 },
	MEDIUM = { r = 1, g = 1, b = 0, a = 1 },
	HIGH = { r = 1, g = 0, b = 0, a = 1 },
}
config.options = {
	showLevel = true,
	showName = true,
	showSpecialArt = true,
	showSpecialText = true,
	showSpecialText2 = true,
	showSpecialText3 = true,
	showDangerSkull = true,
	showspellIcon = true,
	showNostopSpell = true,
}

TidyPlatesThemeList["ThreatPlates"]["dps"] = {}
TidyPlatesThemeList["ThreatPlates"]["dps"] = config
